jni: Add all dependencies and their compilation scripts

Compilation has been verified for all target platforms using a slightly
modified version of CrystaX NDK 10.1.0 (the issue has been resolved with
not yet release 10.2.0)

Change-Id: I99f6c270ae8732adfa402d75ba04f42b179a1a9b
diff --git a/.jenkins.d/00-deps.sh b/.jenkins.d/00-deps.sh
new file mode 100755
index 0000000..c69e3fb
--- /dev/null
+++ b/.jenkins.d/00-deps.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+set -e
+set -x
+
+echo -en 'travis_fold:start:deps\r'
+
+sudo apt-get install -y build-essential git openjdk-7-jdk unzip p7zip-full
+
+# SDK binaries need i386 libraries
+sudo dpkg --add-architecture i386;
+sudo apt-get update -qq; sudo apt-get install -y libc6:i386 libncurses5:i386 libstdc++6:i386 zlib1g:i386
+
+echo -en 'travis_fold:end:deps\r'